summaryrefslogtreecommitdiff
path: root/src/test/test_bt.sh.in
diff options
context:
space:
mode:
authorcypherpunks <cypherpunks@torproject.org>2015-03-05 11:05:17 +0100
committerNick Mathewson <nickm@torproject.org>2015-04-23 09:56:25 -0400
commit0e89abfa73ee8494f1e654823ab68282858038b0 (patch)
tree9773c70269a61b06fd198d52f1a71e64b2880b66 /src/test/test_bt.sh.in
parentc535494238cee580acaa6debe2eb942bb90ea59d (diff)
downloadtor-0e89abfa73ee8494f1e654823ab68282858038b0.tar.gz
tor-0e89abfa73ee8494f1e654823ab68282858038b0.zip
Integrate backtrace test into the automake test suite.
For this to work bt_test.py now returns an exit code indicating success or failure. Additionally, check-local and its specific dependencies are now obsolete so they are removed.
Diffstat (limited to 'src/test/test_bt.sh.in')
-rw-r--r--src/test/test_bt.sh.in9
1 files changed, 9 insertions, 0 deletions
diff --git a/src/test/test_bt.sh.in b/src/test/test_bt.sh.in
new file mode 100644
index 0000000000..d2498751cb
--- /dev/null
+++ b/src/test/test_bt.sh.in
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Test backtrace functionality.
+
+exitcode=0
+
+@builddir@/src/test/test-bt-cl assert | @PYTHON@ @abs_top_srcdir@/src/test/bt_test.py || exitcode=1
+@builddir@/src/test/test-bt-cl crash | @PYTHON@ @abs_top_srcdir@/src/test/bt_test.py || exitcode=1
+
+exit ${exitcode}